package com.xxl.job.admin.controller.interceptor;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.xxl.job.admin.controller.interceptor.CookieInterceptor;
import com.xxl.job.admin.controller.interceptor.PermissionInterceptor;
import javax.annotation.Resource;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.HandlerInterceptor;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class WebMvcConfig implements WebMvcConfigurer {
  @Resource
  private PermissionInterceptor permissionInterceptor;
  
  @Resource
  private CookieInterceptor cookieInterceptor;
  
  public void addInterceptors(InterceptorRegistry registry) {
    registry.addInterceptor((HandlerInterceptor)this.permissionInterceptor).addPathPatterns(new String[] { "/**" });
    registry.addInterceptor((HandlerInterceptor)this.cookieInterceptor).addPathPatterns(new String[] { "/**" });
  }
}
